libzypp: zyppng::repo::DownloadContext Class Reference

libzypp 17.38.14

zyppng::repo::DownloadContext Class Reference

`#include <zypp/ng/repo/downloader.h>`

Inheritance diagram for zyppng::repo::DownloadContext:

## Public Types
using | PluginRepoverification = zypp_private::repo::PluginRepoverification
using | ContextType = typename zyppng::Context
using | ProvideType = typename ContextType::ProvideType
using | MediaHandle = typename ProvideType::MediaHandle
Public Types inherited from zyppng::Base
using | Ptr = std::shared_ptr<Base>
using | WeakPtr = std::weak_ptr<Base>

## Public Member Functions
| DownloadContext (ContextRef zyppContext, const zypp::RepoInfo &info, const zypp::Pathname &destDir)
const zypp::RepoInfo & | repoInfo () const
const zypp::Pathname & | deltaDir () const
zypp::RepoInfo & | repoInfo ()
std::vector< zypp::ManagedFile > & | files ()
const std::optional< PluginRepoverification > & | pluginRepoverification () const
void | setPluginRepoverification (std::optional< PluginRepoverification > pluginRepoverification_r)
void | setNoPluginRepoverification ()
void | setDeltaDir (const zypp::Pathname &newDeltaDir)
Public Member Functions inherited from zyppng::CacheProviderContext
| ZYPP_DECL_PRIVATE_CONSTR_ARGS (CacheProviderContext, ContextRef zyppContext, zypp::Pathname destDir)
const ContextRef & | zyppContext () const
const zypp::Pathname & | destDir () const
void | addCacheDir (const zypp::Pathname &p)
const std::vector< zypp::Pathname > & | cacheDirs () const
Public Member Functions inherited from zyppng::Base
| Base ()
virtual | ~Base ()
WeakPtr | parent () const
void | addChild (const Base::Ptr &child)
void | removeChild (const Ptr &child)
const std::unordered_set< Ptr > & | children () const
std::thread::id | threadId () const
template<typename T>
std::vector< std::weak_ptr< T > > | findChildren () const
template<typename T>
std::shared_ptr< T > | shared_this () const
template<typename T>
std::shared_ptr< T > | shared_this ()
template<typename T>
std::weak_ptr< T > | weak_this () const
template<typename T>
std::weak_ptr< T > | weak_this ()
template<typename SenderFunc, typename ReceiverFunc>
auto | connect (SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
std::enable_if_t< std::is_member_function_pointer_v< SenderFunc >, connection > | connectFunc (SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
void | setData (uint32_t quark, zypp::AutoDispose< void * > data)
void * | data (uint32_t quark)
void | clearData (uint32_t quark)

## Private Attributes
zypp::RepoInfo | _repoinfo
zypp::Pathname | _deltaDir
std::vector< zypp::ManagedFile > | _files
| Files downloaded.
std::optional< PluginRepoverification > | _pluginRepoverification

## Additional Inherited Members
Static Public Member Functions inherited from zyppng::Base
template<typename Obj, typename Functor>
static decltype(auto) | make_base_slot (Obj *o, Functor &&f)
template<typename SenderFunc, typename ReceiverFunc>
static auto | connect (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
static auto | connectFunc (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
Protected Member Functions inherited from zyppng::CacheProviderContext
| ZYPP_ADD_PRIVATE_CONSTR_HELPER ()
Protected Member Functions inherited from zyppng::Base
| Base (BasePrivate &dd)
Protected Attributes inherited from zyppng::CacheProviderContext
ContextRef | _zyppContext
zypp::Pathname | _destDir
std::vector< zypp::Pathname > | _cacheDirs
Protected Attributes inherited from zyppng::Base
std::unique_ptr< BasePrivate > | d_ptr

## Detailed Description

Definition at line 32 of file downloader.h.

## Member Typedef Documentation

## ◆ PluginRepoverification

using zyppng::repo::DownloadContext::PluginRepoverification = zypp_private::repo::PluginRepoverification

Definition at line 36 of file downloader.h.

## ◆ ContextType

using zyppng::repo::DownloadContext::ContextType = typename zyppng::Context

Definition at line 37 of file downloader.h.

## ◆ ProvideType

using zyppng::repo::DownloadContext::ProvideType = typename ContextType::ProvideType

Definition at line 38 of file downloader.h.

## ◆ MediaHandle

using zyppng::repo::DownloadContext::MediaHandle = typename ProvideType::MediaHandle

Definition at line 39 of file downloader.h.

## Constructor & Destructor Documentation

## ◆ DownloadContext()

zyppng::repo::DownloadContext::DownloadContext | ( | ContextRef | zyppContext,
|  | const zypp::RepoInfo & | info,
|  | const zypp::Pathname & | destDir )

Definition at line 28 of file downloader.cc.

## Member Function Documentation

## ◆ repoInfo() [1/2]

const zypp::RepoInfo & zyppng::repo::DownloadContext::repoInfo | ( |  | ) | const

Definition at line 33 of file downloader.cc.

## ◆ deltaDir()

const zypp::filesystem::Pathname & zyppng::repo::DownloadContext::deltaDir | ( |  | ) | const

Definition at line 35 of file downloader.cc.

## ◆ repoInfo() [2/2]

zypp::RepoInfo & zyppng::repo::DownloadContext::repoInfo | ( |  | ) |

Definition at line 37 of file downloader.cc.

## ◆ files()

std::vector< zypp::ManagedFile > & zyppng::repo::DownloadContext::files | ( |  | ) |

Definition at line 39 of file downloader.cc.

## ◆ pluginRepoverification()

const std::optional< typename DownloadContext::PluginRepoverification > & zyppng::repo::DownloadContext::pluginRepoverification | ( |  | ) | const

Definition at line 41 of file downloader.cc.

## ◆ setPluginRepoverification()

void zyppng::repo::DownloadContext::setPluginRepoverification | ( | std::optional< PluginRepoverification > | pluginRepoverification_r | ) |
| inline

Definition at line 51 of file downloader.h.

## ◆ setNoPluginRepoverification()

void zyppng::repo::DownloadContext::setNoPluginRepoverification | ( |  | ) |
| inline

Definition at line 54 of file downloader.h.

## ◆ setDeltaDir()

void zyppng::repo::DownloadContext::setDeltaDir | ( | const zypp::Pathname & | newDeltaDir | ) |

Definition at line 44 of file downloader.cc.

## Member Data Documentation

## ◆ _repoinfo

zypp::RepoInfo zyppng::repo::DownloadContext::_repoinfo
| private

Definition at line 60 of file downloader.h.

## ◆ _deltaDir

zypp::Pathname zyppng::repo::DownloadContext::_deltaDir
| private

Definition at line 61 of file downloader.h.

## ◆ _files

std::vector<zypp::ManagedFile> zyppng::repo::DownloadContext::_files
| private

Files downloaded.

Definition at line 62 of file downloader.h.

## ◆ _pluginRepoverification

std::optional<PluginRepoverification> zyppng::repo::DownloadContext::_pluginRepoverification
| private

See also
  Repository metadata verification plugin

Definition at line 63 of file downloader.h.

The documentation for this class was generated from the following files:

- zypp/ng/repo/downloader.h
- zypp/ng/repo/downloader.cc